GET /api/v202306/emissionRecord/{emissionRecordId}

Retrieve an emission record by ID

GetEmissionRecordV202306 Permissions: Records (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
emissionRecordId The Id of the emission record to retrieve integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

EmissionRecordResponse
Property Description Type
attachment The attachment for this record string
billId The bill identifier, if this record originated from a bill in UtilityManagement integer (int32)
billingPeriod The bill’s billing period, if this record originated from a bill in UtilityManagement integer (int32)
cost ValueWithUnit
ValueWithUnit properties
Property Description Type
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value Value number (double)
costConversion CostConversionBase
CostConversionBase properties
Property Description Type
conversionDate The date used to look up the currency conversion string (date-time)
sourceToSystemConversionValue The conversion factor used to convert from the source cost unit to the system cost unit number (double)
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate The date this record was created string (date-time)
creationMethod The emission record creation method string
emissionRecordId The record identifier integer (int32)
emissionRecordType EmissionRecordType
EmissionRecordType properties
Property Description Type
emissionRecordTypeId Id of the emission record type integer (int32)
emissionRecordTypeInfo Name of the emission record type string
emissionSource EmissionSourceChild
EmissionSourceChild properties
Property Description Type
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
emissionSourceCode The emission source code string
emissionSourceId The emission source identifier integer (int32)
emissionSourceInfo The emission source info string
emissionValues The GHG emissions for this record, split by greenhouse gas type GHGGroupEmissionsV202211[]
GHGGroupEmissionsV202211 properties
Property Description Type
groupInfo The name of the greenhouse gas. string
totalEmissions The total emissions for this gas, in CO2 Equivalent. number (double)
endDate The end date for the record string (date-time)
factor GHGFactorChildV202210
GHGFactorChildV202210 properties
Property Description Type
factorDescription The Factor Description string
factorId The Factor Identifier integer (int32)
factorInfo The Factor Info string
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate The date this record was last modified string (date-time)
note The note for this record string
quantity ValueWithUnit
ValueWithUnit properties
Property Description Type
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value Value number (double)
scopeCategory GHGScopeCategoryChildV202210
GHGScopeCategoryChildV202210 properties
Property Description Type
scopeCategoryDescription The GHG Scope Category Description string
scopeCategoryId The GHG Scope Category Identifier integer (int32)
scopeCategoryInfo The GHG Scope Category Info string
startDate The start date for the record string (date-time)
systemCost ValueWithUnit
ValueWithUnit properties
Property Description Type
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
value Value number (double)
totalEmissions The total GHG emissions for this record in kgCO2e. number (double)
vendor VendorChild
VendorChild properties
Property Description Type
vendorCode The vendor code string
vendorId The vendor identifier integer (int32)
vendorInfo The vendor info string
Example Response application/json
{  "attachment": "string",  "billId": 1,  "billingPeriod": 1,  "cost": {    "unit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "value": 1.0
  },  "costConversion": {    "conversionDate": "2026-03-30",    "sourceToSystemConversionValue": 1.0
  },  "createdBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "createdDate": "2026-03-30",  "creationMethod": "string",  "emissionRecordId": 1,  "emissionRecordType": {    "emissionRecordTypeId": 1,    "emissionRecordTypeInfo": "string"
  },  "emissionSource": {    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "emissionSourceCode": "string",    "emissionSourceId": 1,    "emissionSourceInfo": "string"
  },  "emissionValues": [
    {    "groupInfo": "string",    "totalEmissions": 1.0
  }
  ],  "endDate": "2026-03-30",  "factor": {    "factorDescription": "string",    "factorId": 1,    "factorInfo": "string"
  },  "modifiedBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "modifiedDate": "2026-03-30",  "note": "string",  "quantity": {    "unit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "value": 1.0
  },  "scopeCategory": {    "scopeCategoryDescription": "string",    "scopeCategoryId": 1,    "scopeCategoryInfo": "string"
  },  "startDate": "2026-03-30",  "systemCost": {    "unit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "value": 1.0
  },  "totalEmissions": 1.0,  "vendor": {    "vendorCode": "string",    "vendorId": 1,    "vendorInfo": "string"
  }
}